# Glib::ValueBase_Flags Class Reference
[Generic Values]

Inherits Glib::ValueBase.

Inherited by Glib::Value_Flags< T >.

Collaboration diagram for Glib::ValueBase_Flags:
[legend]

List of all members.

## Public Types

typedef guint | CType

## Static Public Member Functions

static GType | value_type ()

## Protected Member Functions

void | set_flags (unsigned int data)
unsigned int | get_flags () const

## Member Typedef Documentation

typedef guint Glib::ValueBase_Flags::CType

## Member Function Documentation

unsigned int Glib::ValueBase_Flags::get_flags | ( |  | ) | const`[protected]`

void Glib::ValueBase_Flags::set_flags | ( | unsigned int | data | ) | `[protected]`

static GType Glib::ValueBase_Flags::value_type | ( |  | ) | `[static]`

The documentation for this class was generated from the following file:

- glibmm/value.h